Follow

Rant about Ubuntu using old versions of Gnome 

It seems to me like I'll have to switch away from . The 21.10 beta is out, and it's using 40, so I'm guessing the final version will have Gnome 40 too. I'm already tired of being so far behind not having Gnome 40 on my Ubuntu 21.04 box, and now I'll have to go another 7 months without getting Gnome 41? When Ubuntu 22.04 will Gnome 42 already be out, and Ubuntu just have Gnome 41?

· · Web · 5 · 1 · 4

Rant about Ubuntu using old versions of Gnome 

I want a distro that's well supported, reasonably light weight, stable, and lets me easily use vanilla Gnome DE with the latest stable version.

Also I want to be able to use all the Ubuntu related resources online whenever I might have any issues.

Is there an ideal distro out there for me?

Rant about Ubuntu using old versions of Gnome 

@forteller
Didn't they have a "vanilla gnome" package or something, without all the Ubuntu modifications that are always slowing them down?
Or is that the one that's outdated?

Rant about Ubuntu using old versions of Gnome 

@owl Both the Ubuntu version of Gnome and the vanilla Gnome (gnome-session) uses the same Gnome packages.

Rant about Ubuntu using old versions of Gnome 

@forteller bummer :[

Rant about Ubuntu using old versions of Gnome 

@forteller gnome os or whatever it's called

Rant about Ubuntu using old versions of Gnome 

@wilmhit That's not meant to be used as your day to day OS

Rant about Ubuntu using old versions of Gnome 

@forteller uh sorry I assumed it was something like KDE neon. Well, youre gonna have a hard time finding something with updated gnome based on Ubuntu. Most Ubuntu derivatives follow same update cycle. I would go for something arch based like endeavour. Arch base is always up to date.

Rant about Ubuntu using old versions of Gnome 

@forteller Okay, I was obviously joking in my last post, but seriously, I don't think there's a distro out there that checks all these boxes. Fedora checks most of them, maybe checks lightweight, but Ubuntu stuff is incompatible. Debian Testing/Sid is going to be a lot harder to use, but will have some overlap with Ubuntu. Then again, that overlap may give a problematic false sense of confidence.

Rant about Ubuntu using old versions of Gnome 

@forteller Mint is fully Ubuntu compatible, but it doesn't have a GNOME edition. I suppose you could install it yourself, but then, you could do that on Ubuntu as well. Sparky Linux is based on Debian, and fairly easy IIRC, but it's not quite Ubuntu. I'm sure there's a lot of tiny Ubuntu derivatives with GNOME, but they won't have the same support.

Rant about Ubuntu using old versions of Gnome 

@forteller So to answer your question, no, probably not, if that's your criteria. If it makes you feel better, my ideal distro, Hannah Montana Linux, was discontinued years ago. Rebecca Black OS just isn't the same. :(

Rant about Ubuntu using old versions of Gnome 

@evilroda Haha! Thanks! With "supported" I just mean that I can rely on updates coming regularly, that the whole organization won't disappear tomorrow and that I can be reasonably sure that their updates aren't being compromised. Things like that, not that I can call them for support.

About installing latest version of Gnome myself: I tried that via a PPA some time ago, and it stopped my PC from booting – which I didn't think was possible.

Rant about Ubuntu using old versions of Gnome 

@forteller Yeah, not fond of PPAs myself. Well, if nothing seems to adequately fit your criteria, might I suggest trying something new entirely? Give KDE a go, I've heard good things about KDE Neon, or you could try Mint. Maybe even go out of your comfort zone entirely and try Fedora, or fuck it, go crazy and install Slackware. There's a whole world waiting for you.

Rant about Ubuntu using old versions of Gnome 

@forteller

Virkar som ubuntu halder seg mest til servergreier om dagen og at det er meir opp til distroene til å ordne brukaropplevning.

Du kan jo laste ned Gnome 40 på ubuntu, eller some chris were sa så er det Debian

Personleg så haller eg ved popOS, Zorin og Elementary om dagen.

re: Rant about Ubuntu using old versions of Gnome 

@forteller I don’t know of any that fulfill the second requirement, but Fedora is a wonderful distro and I honestly can’t remember encountering a major issue that wasn’t my fault between 32 and 34.

Rant about Ubuntu using old versions of Gnome 

@forteller Just switch to 24.04. Solution's obvious, dude.

Rant about Ubuntu using old versions of Gnome 

@forteller Høres ut som #fedora er distroen for deg (og meg).

Rant about Ubuntu using old versions of Gnome 

@fyksen Bare at Fedora ikke er Debian-basert, og dermed ikke kan benytte seg av alt som er tilpasset Ubuntu, som tips og råd og support på nett og litt programvare som bare er tilgjengelig som .deb

Rant about Ubuntu using old versions of Gnome 

@forteller Det er sant. Heldigvis har flatpak, appimages og copr gjort det ekstremt mye enklere. Men det hender vel fra tid til annen at jeg snubler over noe som krever mer innsats på RPM baserte distroer.

Rant about Ubuntu using old versions of Gnome 

@forteller Hi, ubuntu 22.04 will likely be using GNOME 42.

It’s not that they don’t update on purpose but they run out of time and are low on resources last couple cycles from what I’ve seen.

Cheers

Sign in to participate in the conversation
Octodon

The social network of the future: No ads, no corporate surveillance, ethical design, and decentralization! Own your data with Mastodon!